<?php

/**
 * Search for the desktop
 *
 * @param string $search
 * @param string $params
 *
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_authwalletconnect_ajax_login',
    function ($address) {
        if (empty($address)) {
            return '';
        }

        $result = QUI::getDataBase()->fetch([
            'from'  => QUI\WalletConnect\WalletConnect::table(),
            'where' => [
                'address' => $address
            ],
            'limit' => 1
        ]);

        if (!isset($result[0])) {
            $nonce = \uniqid();

            QUI::getDataBase()->insert(QUI\WalletConnect\WalletConnect::table(), [
                'nonce'   => $nonce,
                'address' => $address
            ]);
        } else {
            QUI::getDataBase()->update(QUI\WalletConnect\WalletConnect::table(), [
                'address' => $address
            ], [
                'address' => $address
            ]);

            $nonce = $result[0]['nonce'];
        }

        return $nonce;
    },
    ['address']
);
