<?php

/**
 * This file contains QUI\Auth\WalletConnect\Controls
 */

namespace QUI\Auth\WalletConnect\Controls;

use QUI;
use QUI\Control;

/**
 * Class Login
 *
 * @package QUI\Auth\WalletConnect\Controls
 */
class Login extends Control
{
    /**
     * Login constructor.
     *
     * @param array $attributes
     */
    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);

        $this->addCSSClass('quiqqer-walletconnect-login');
        $this->addCSSFile(dirname(__FILE__).'/Login.css');
        $this->setAttribute('icon', URL_OPT_DIR.'quiqqer/authwalletconnect/bin/WalletConnectLogo.png');
    }

    /**
     * @return string
     */
    public function getBody(): string
    {
        try {
            $Engine = QUI::getTemplateManager()->getEngine();
            $Conf   = QUI::getPackage('quiqqer/authwalletconnect')->getConfig();
        } catch (QUI\Exception $Exception) {
            return '';
        }

        $Engine->assign([
            'autoLogin' => boolval($Conf->get('authSettings', 'autoLogin')) ? "1" : "0"
        ]);

        return $Engine->fetch(dirname(__FILE__).'/Login.html');
    }
}
