<?php

/**
 * This file contains QUI\WalletConnect\EventHandler
 */

namespace QUI\WalletConnect;

use QUI;

/**
 * Class EventHandler
 */
class EventHandler
{
    /**
     * @param QUI\Interfaces\Users\User $User
     */
    public static function onUserLoad(QUI\Interfaces\Users\User $User)
    {
        $eth = WalletConnect::getUserEthAddress($User->getId());

        if ($eth) {
            $User->setAttribute('eth.address', $eth);
        }
    }

    /**
     * @param QUI\Package\Package $Package
     */
    public static function onPackageInstall(QUI\Package\Package $Package)
    {
        if ($Package->getName() !== 'quiqqer/authwalletconnect') {
            return;
        }

        $binDir = $Package->getVarDir().'bin/';

        QUI\Utils\System\File::mkdir($binDir);
        QUI\Utils\System\File::mkfile($binDir.'package.json');

        $packageJson = file_get_contents($binDir.'package.json');

        if (empty($packageJson)) {
            file_put_contents($binDir.'package.json', '{}');
        }

        \chdir($binDir);
        \system(
            'npm install --save @walletconnect/client @walletconnect/qrcode-modal @walletconnect/web3-provider'
        );
        \chdir(CMS_DIR);

    }

    /**
     * @param QUI\Package\Package $Package
     */
    public static function onPackageSetup(QUI\Package\Package $Package)
    {
        if ($Package->getName() !== 'quiqqer/authwalletconnect') {
            return;
        }

        self::onPackageInstall($Package);
    }
}
